<?

include ("../conectar.php"); 

session_start();

		$sqll=mysql_query("SELECT * FROM usuarios WHERE usu='$usuario'");
		if($dato=mysql_fetch_array($sqll)){
			$nombre=$dato['usu'];
			$palabra=explode(" ", $nombre);
			$nomb=$palabra[0];
			$codigo=$dato['codusu'];
			$codusu=explode(" ", $codigo);
			$cod=$codusu[0];
		}
		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

$codfacturatmp=$_POST["codfacturatmp"];
$cdgcli=$_POST["cdgcli"];
$dsccli=$_POST["dsccli"];
$cedcli=$_POST["cedcli"];
$fecha=date("d-m-Y");
$cob_iv=$_POST["cob_iv"];
$remito=$_POST["remito"];
$numfactura=$_POST["numfactura"];
$cdgtipven=$_POST["combotipoventa"];
$vehpla=$_POST["vehpla"];
$kmsveh=$_POST["kmsveh"];
$cdgven=$cod;
$descuento=$_POST["descuento"];
$minimo=0;
$codfacturacontado=$_POST["codfacturacontado"];
$codfacturacontado2=$_POST["codfacturacontado"];
$pagacon=$_POST["pagacon"];
$vuelto=$_POST["vuelto"];

	//************************************************ Seleción del plazo del cliente *********************************

if ($accion=="alta") {


 if ($cdgtipven == 2) {
 
 
$query_plazo="SELECT * FROM WEB_0301 WHERE cdgcli='$cdgcli'";
$rs_query_plazo=mysql_query($query_plazo);
$pladia= mysql_result($rs_query_plazo,0,"cdgpla");
$dsccli= mysql_result($rs_query_plazo,0,"dsccli");
$cedcli= mysql_result($rs_query_plazo,0,"cedcli");


  
   } else {
   
 	 if ($cdgcli == 9999) {
		
   $cdgtipven = 1;
   $pladia = "0";
   
   $query_factura_contado="SELECT * FROM facturas_contado WHERE codfactura='$codfacturacontado'";
   $rs_query_factura_contado=mysql_query($query_factura_contado);
   $dsccli= mysql_result($rs_query_factura_contado,0,"dsccli");
   $cedcli=""
	
	 
		} else {
		
   $cdgtipven = 1;
   $pladia = "0";
   $query_plazo="SELECT * FROM WEB_0301 WHERE cdgcli='$cdgcli'";
   $rs_query_plazo=mysql_query($query_plazo);
   $dsccli= mysql_result($rs_query_plazo,0,"dsccli");
   $cedcli= mysql_result($rs_query_plazo,0,"cedcli");

        } 
   
    }

 ////////////////////////////////////////////////////   insert de la factura de Credito /////////////////////////////////

		if ($cdgtipven==2){

	$query_operacion="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, estado, borrado, remito, cdgtipven, vehpla, kmsveh, cdgven, pladia ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '1', '0', '$remito','$cdgtipven','$vehpla','$kmsveh','$cdgven','$pladia')";				
	$rs_operacion=mysql_query($query_operacion);
	$codfactura=mysql_insert_id();
	

	
	
	
	
	// Se guarda la nueva numeracion de factura
	if ($numpro==1)
	{
		$numpro=0;
		$sel_articulos="UPDATE facturas SET codfactura='$numeracionfactura' WHERE codfactura='$codfactura'";
		$rs_articulos=mysql_query($sel_articulos);

		$sel_articulos="UPDATE WEB_0000 SET numpro=0 ";
		$rs_articulos=mysql_query($sel_articulos);
		$codfactura=$numeracionfactura;
	}
		
	
	if ($rs_operacion) { $mensaje="Factura Completa"; }
	$query_tmp="SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		//$codfamilia=mysql_result($rs_tmp,$contador,"codfamilia");
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$prenivi=mysql_result($rs_tmp,$contador,"prenivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$baseimponible1=$baseimponible+$importe;
	    	$baseimponible = round($baseimponible1,0, PHP_ROUND_HALF_DOWN);  
		$baseimpuestos1=$baseimpuestos+$impuesto;
		   $baseimpuestos = round(baseimpuestos1,0, PHP_ROUND_HALF_DOWN);  
		$basedescuento1=$basedescuento+$descuento;
			$basedescuento = round($basedescuento1,0, PHP_ROUND_HALF_DOWN);  
		$preciototal1=$baseimponible+$baseimpuestos;
			$preciototal = round($preciototal1,0, PHP_ROUND_HALF_DOWN);  
		$dcto=mysql_result($rs_tmp,$contador,"dcto");

	
		$sel_insertar="INSERT INTO factulinea (codfactura,numlinea,codigo,cantidad,prenivi,importe,dcto,impuesto) VALUES 
		('$codfactura','$numlinea','$codigo','$cantidad','$prenivi','$importe','$dcto','$impuesto')";
		$rs_insertar=mysql_query($sel_insertar);		
		$sel_articulos="UPDATE WEB_1001 SET exiact=(exiact-'$cantidad') WHERE cdgart='$codigo'";
		$rs_articulos=mysql_query($sel_articulos);
		$sel_minimos = "SELECT exiact,dscart FROM WEB_1001 where cdgart='$codigo' ";
		$rs_minimos= mysql_query($sel_minimos);

		if ((mysql_result($rs_minimos,0,"exiact") < mysql_result($rs_minimos,0,"exiact")) or (mysql_result($rs_minimos,0,"exiact") <= 0))
	   		{ 
		  		$mensaje_minimo=$mensaje_minimo . " " . mysql_result($rs_minimos,0,"dscart")."<br>";
				$minimo=1;
   			};
		$contador++;
	}
	
	//************************************************ Insert 2101 CxC y 0301 saldo actual*******************************
			

		$query_operacion1="INSERT INTO WEB_2101 (numfac, fecfac, cdgcli, dsccli, pladia, monsub, mondes, impvta, totnet, cdgven, salact  ) VALUES ('$codfactura', '$fecha', '$cdgcli', '$dsccli','$pladia','$baseimponible','$basedescuento','$baseimpuestos','$preciototal','$cdgven','$preciototal')";
		$rs_operacion1=mysql_query($query_operacion1);


	$query_saldo="SELECT * FROM WEB_0301 WHERE cdgcli='$cdgcli'";
	$rs_query_saldo=mysql_query($query_saldo);
	$saldo_actual= mysql_result($rs_query_saldo,0,"salact");
	
	$salact = $saldo_actual+$preciototal;

		$nuevo_saldo="UPDATE WEB_0301 SET  salact='$salact' WHERE cdgcli='$cdgcli'";
	$nuevo_saldo=mysql_query($nuevo_saldo);



	$preciototal=$baseimponible+$baseimpuestos;
	//$preciototal=number_format($preciototal,2);	
	$sel_act="UPDATE facturas SET totalfactura='$preciototal' WHERE codfactura='$codfactura'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";


/////////////////////////////////////////insert de la factura de contado ///////////////////////////////////////////////
		}else {
	
	$query_operacion_contado="INSERT INTO facturas_contado (codfactura, numfactura, fecha, iva, cdgcli, estado, borrado, remito, cdgtipven, vehpla, kmsveh, cdgven, pladia ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', '1', '0', '$remito','$cdgtipven','$vehpla','$kmsveh','$cdgven','$pladia')";				
	$rs_operacion_contado=mysql_query($query_operacion_contado);
	$codfactura=mysql_insert_id();

	
	// Se guarda la nueva numeracion de factura
	if ($numpro==1)
	{
		$numpro=0;
		$sel_articulos_contado="UPDATE facturas_contado SET codfactura='$numeracionfactura' WHERE codfactura='$codfactura'";
		$rs_articulos_contado=mysql_query($sel_articulos_contado);

		$sel_articulos_contado="UPDATE WEB_0000 SET numpro=0 ";
		$rs_articulos=mysql_query($sel_articulos_contado);
		$codfactura=$numeracionfactura;
	}
		
	
	if ($rs_operacion) { $mensaje="Factura Completa"; }
	$query_tmp="SELECT * FROM factulineatmp WHERE codfactura='$codfacturatmp' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		//$codfamilia=mysql_result($rs_tmp,$contador,"codfamilia");
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$prenivi=mysql_result($rs_tmp,$contador,"prenivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$baseimponible1=$baseimponible+$importe;
	    	$baseimponible = round($baseimponible1,0, PHP_ROUND_HALF_DOWN);  
		$baseimpuestos1=$baseimpuestos+$impuesto;
		   $baseimpuestos = round(baseimpuestos1,0, PHP_ROUND_HALF_DOWN);  
		$basedescuento1=$basedescuento+$descuento;
			$basedescuento = round($basedescuento1,0, PHP_ROUND_HALF_DOWN);  
		$preciototal1=$baseimponible+$baseimpuestos;
			$preciototal = round($preciototal1,0, PHP_ROUND_HALF_DOWN);  
		$dcto=mysql_result($rs_tmp,$contador,"dcto");

	
		$sel_insertar="INSERT INTO factulinea_contado (codfactura,numlinea,codigo,cantidad,prenivi,importe,dcto,impuesto) VALUES 
		('$codfactura','$numlinea','$codigo','$cantidad','$prenivi','$importe','$dcto','$impuesto')";
		$rs_insertar=mysql_query($sel_insertar);		
		$sel_articulos="UPDATE WEB_1001 SET exiact=(exiact-'$cantidad') WHERE cdgart='$codigo'";
		$rs_articulos=mysql_query($sel_articulos);
		$sel_minimos = "SELECT exiact,dscart FROM WEB_1001 where cdgart='$codigo' ";
		$rs_minimos= mysql_query($sel_minimos);

		if ((mysql_result($rs_minimos,0,"exiact") < mysql_result($rs_minimos,0,"exiact")) or (mysql_result($rs_minimos,0,"exiact") <= 0))
	   		{ 
		  		$mensaje_minimo=$mensaje_minimo . " " . mysql_result($rs_minimos,0,"dscart")."<br>";
				$minimo=1;
   			};
		$contador++;
	}
	$preciototal=$baseimponible+$baseimpuestos;
	//$preciototal=number_format($preciototal,2);	
	$sel_act="UPDATE facturas_contado SET totalfactura='$preciototal' WHERE codfactura='$codfactura'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	}
}

//////////////////////////////////////////// insertar factura de contado en la tabla facturas y facturas lineas ///////////////////////////////////////////////////////

if ($accion=="insertar") {

	$query_facturas_contado="SELECT * FROM facturas_contado WHERE codfactura='$codfacturacontado'";
	$rs_query_facturas_contado=mysql_query($query_facturas_contado);
	$fecha= mysql_result($rs_query_facturas_contado,0,"fecha");
		$cob_iv= mysql_result($rs_query_facturas_contado,0,"iva");
			$cdgcli= mysql_result($rs_query_facturas_contado,0,"cdgcli");
				$estado= mysql_result($rs_query_facturas_contado,0,"estado");
		         $totalfactura= mysql_result($rs_query_facturas_contado,0,"totalfactura");
						$fechavencimiento= mysql_result($rs_query_facturas_contado,0,"fechavencimiento");
						$borrado= mysql_result($rs_query_facturas_contado,0,"borrado");
						$numfactura= mysql_result($rs_query_facturas_contado,0,"numfactura");
						$vehpla= mysql_result($rs_query_facturas_contado,0,"vehpla");
						$remito= mysql_result($rs_query_facturas_contado,0,"remito");
						$cdgtipven= mysql_result($rs_query_facturas_contado,0,"cdgtipven");
						$cdgven= mysql_result($rs_query_facturas_contado,0,"cdgven");
						$kmsveh= mysql_result($rs_query_facturas_contado,0,"kmsveh");
						$pladia= mysql_result($rs_query_facturas_contado,0,"pladia");
						$cdgcaj= mysql_result($rs_query_facturas_contado,0,"cdgcaj");

	
$query_operacion_contado="INSERT INTO facturas (codfactura, numfactura, fecha, iva, cdgcli, totalfactura, estado, borrado, remito, cdgtipven, vehpla, kmsveh, cdgven, pladia, cdgcaj, vuelto, pagacon ) VALUES ('', '$numfactura', '$fecha', '$cob_iv', '$cdgcli', $totalfactura, '1', '0', '$remito','$cdgtipven','$vehpla','$kmsveh','$cdgven','$pladia', '$cod', '$vuelto', '$pagacon')";				
	$rs_operacion_contado=mysql_query($query_operacion_contado);
	$codfacturacontado=mysql_insert_id();

	
	// Se guarda la nueva numeracion de factura
	if ($numpro==1)
	{
		$numpro=0;
		$sel_articulos_contado="UPDATE facturas SET codfactura='$numeracionfactura' WHERE codfactura='$codfacturacontado'";
		$rs_articulos_contado=mysql_query($sel_articulos_contado);

		$sel_articulos_contado="UPDATE WEB_0000 SET numpro=0 ";
		$rs_articulos=mysql_query($sel_articulos_contado);
		$codfactura=$numeracionfactura;
	}
		
	
	if ($rs_operacion_contado) { $mensaje="Factura Completa"; }
	echo $codfacturacontado2;
	$query_tmp="SELECT * FROM factulinea_contado WHERE codfactura='$codfacturacontado2' ORDER BY numlinea ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	$baseimponible=0;
	while ($contador < mysql_num_rows($rs_tmp)) {
		//$codfamilia=mysql_result($rs_tmp,$contador,"codfamilia");
		$numlinea=mysql_result($rs_tmp,$contador,"numlinea");
		$codigo=mysql_result($rs_tmp,$contador,"codigo");
		$cantidad=mysql_result($rs_tmp,$contador,"cantidad");
		$prenivi=mysql_result($rs_tmp,$contador,"prenivi");
		$importe=mysql_result($rs_tmp,$contador,"importe");
		$impuesto=mysql_result($rs_tmp,$contador,"impuesto");
		$baseimponible1=$baseimponible+$importe;
	    	$baseimponible = round($baseimponible1,0, PHP_ROUND_HALF_DOWN);  
		$baseimpuestos1=$baseimpuestos+$impuesto;
		   $baseimpuestos = round(baseimpuestos1,0, PHP_ROUND_HALF_DOWN);  
		$basedescuento1=$basedescuento+$descuento;
			$basedescuento = round($basedescuento1,0, PHP_ROUND_HALF_DOWN);  
		$preciototal1=$baseimponible+$baseimpuestos;
			$preciototal = round($preciototal1,0, PHP_ROUND_HALF_DOWN);  
		$dcto=mysql_result($rs_tmp,$contador,"dcto");

	
		$sel_insertar="INSERT INTO factulinea (codfactura,numlinea,codigo,cantidad,prenivi,importe,dcto,impuesto) VALUES 
		('$codfacturacontado','$numlinea','$codigo','$cantidad','$prenivi','$importe','$dcto','$impuesto')";
		$rs_insertar=mysql_query($sel_insertar);		
		$sel_articulos="UPDATE WEB_1001 SET exiact=(exiact-'$cantidad') WHERE cdgart='$codigo'";
		$rs_articulos=mysql_query($sel_articulos);
		$sel_minimos = "SELECT exiact,dscart FROM WEB_1001 where cdgart='$codigo' ";
		$rs_minimos= mysql_query($sel_minimos);

		if ((mysql_result($rs_minimos,0,"exiact") < mysql_result($rs_minimos,0,"exiact")) or (mysql_result($rs_minimos,0,"exiact") <= 0))
	   		{ 
		  		$mensaje_minimo=$mensaje_minimo . " " . mysql_result($rs_minimos,0,"dscart")."<br>";
				$minimo=1;
   			};
		$contador++;
	}
	$preciototal=$baseimponible+$baseimpuestos;
	//$preciototal=number_format($preciototal,2);	
	$sel_act="UPDATE facturas SET totalfactura='$preciototal' WHERE codfactura='$codfacturacontado'";
	$rs_act=mysql_query($sel_act);
	$baseimpuestos=0;
	$baseimponible=0;
	$preciototal=0;
	$cabecera1="Inicio >> Ventas &gt;&gt; Nueva Proforma ";
	$cabecera2="Transacción satisfactoria";
	
	$consulta = "DELETE FROM factulinea_contado WHERE codfactura ='".$codfactura."' AND numlinea='".$numlinea."'";
$rs_consulta = mysql_query($consulta);

$consulta2 = "DELETE FROM facturas_contado WHERE codfactura ='".$codfacturacontado2."'";
$rs_consulta2 = mysql_query($consulta2);
	
}	







?>



<?php





/*  
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

  
	Autores version mexicana : 
	                           Matias Fertilio
	                           Ernesto Perez
				   
	Fecha Liberación del código: 20/04/2010
	CodeKa Mx 2010			 
	
	*/


//include ("Numbers/Words.php");


$pdf=new PDF();
$pdf->Open();
$pdf->AddPage();

//$pdf->Header('logo/logo.jpg',10,8,33,33);

$pdf->Ln();    

if ($fondofac=="SI")$pdf->Header('./logo/Factura v3.jpg',0,0,205,295);

$parametros = "Select * from  WEB_0000";
$datos = mysql_query($parametros);


 echo $codfacturacontado;
$consulta = "Select * from facturas, WEB_0301 where facturas.codfactura=$codfacturacontado and facturas.cdgcli= WEB_0301.cdgcli";
$resultado = mysql_query($consulta);
$lafila=mysql_fetch_array($resultado);

    $fecha =mysql_result($resultado,0,"fecha");
	//$dia1=substr($fecha,0,2);
	
	// El mes sale como numero x                                             
	//$mes1=substr($fecha,3,2);
	
	// si se activa este comando el mes sale con letras
	//$mes1=mes($mes1);´
	

	// fecha y numero de factura
	//$ano1=substr($fecha,6,4);
	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',12);	
	
	$pdf->SetY(25);	
	$pdf->Ln(-8);
	$pdf->Cell(150);
	//$fecha = implota($lafila["fecha"]);
	$pdf->Cell(5);
	$pdf->Cell(12,4,$fecha,0,0,'L',0);
	//$pdf->Cell(12,4,$mes1,0,0,'L',0);
	//$pdf->Cell(12,4,$ano1,0,0,'L',0);
	
	$pdf->Ln(13);
	$pdf->Cell(161);
	$pdf->Cell(10,4,$codfactura,0,0,'L',0);
	
	//emcabezado y datos de la empresa
	
	$pdf->SetY(28);	
	$pdf->Ln(-15);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"nomcom"),0,0,'L',0);
	
	
		
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);
	
	$pdf->SetY(13);
	$pdf->Ln(6);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"cedjur"),0,0,'L',0);
	
	$pdf->SetY(17);
	$pdf->Ln(6);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"diremp"),0,0,'L',0);
	
	
	$pdf->SetY(21);
	$pdf->Ln(6);
	$pdf->Cell(52);
    $pdf->Cell(10,4,mysql_result($datos,0,"numtel"),0,0,'L',0);
	
	
	// datos del cliente
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	
	
	$pdf->SetY(27);
	$pdf->Ln(13);
	$pdf->Cell(27);
    $pdf->Cell(100,6,$dsccli,0,0,'L',0);
	

	$pdf->SetY(39);
	$pdf->Ln(5);
	$pdf->Cell(27);
    $pdf->Cell(35,8,mysql_result($resultado,0,"cedcli") ,0,0,'L',0);  
	
	$pdf->SetY(39);
	$pdf->Ln(5);
	$pdf->Cell(82);
    $pdf->Cell(35,8,mysql_result($resultado,0,"numtel"),0,0,'L',0);
	
		
	$pdf->SetY(39);	
	$pdf->Ln(3);
	$pdf->Cell(138);
    $pdf->Cell(35,8,mysql_result($resultado,0,"vehpla"),0,0,'L',0);
	
	$pdf->SetY(39);	
	$pdf->Ln(3);
	$pdf->Cell(162);
    $pdf->Cell(35,8,mysql_result($resultado,0,"kmsveh"),0,0,'L',0);
	
	$pdf->SetY(42);
	$pdf->Ln(5);
	$pdf->Cell(27);
	$pdf->Cell(80,10,mysql_result($resultado,0,"dircli"),0,0,'L',0);  
	
	$pdf->SetY(42);
	$pdf->Ln(5);
	$pdf->Cell(140);
	$pdf->Cell(80,10,mysql_result($resultado,0,"pladia"),0,0,'L',0); 

	
	
	
	
	
  //  $fecha = implota($lafila["fecha"]);
//	$pdf->Cell(60);
	//$pdf->Cell(10,4,$dia1,0,0,'L',0);
	//$pdf->Cell(10,4,$mes1,0,0,'L',0);
//	$pdf->Cell(15,4,$ano1,0,0,'L',0);
	
	
	//Calculamos la provincia
	//$codigoprovincia=$lafila["codprovincia"];
	//$consulta="select * from provincias where codprovincia='$codigoprovincia'";
	//$query=mysql_query($consulta);
	//$row=mysql_fetch_array($query);
	//$pdf->Ln(5);
//	$pdf->Cell(23);
//	$pdf->Cell(80,10,mysql_result($resultado,0,"dircli"),0,0,'L',0);
	
	
	//$pdf->Ln(14);	
	
	//$pdf->Ln(5);
	//$pdf->Cell(20);
    //$pdf->Cell(40,4,$lafila["localidad"],0,0,'L',0);
			
			
    //ahora mostramos las lneas de la factura
			$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	 
	
	
	
	$pdf->SetY(72);			
	$consulta2 = "Select * from factulinea where codfactura='$codfacturacontado' order by numlinea";
    $resultado2 = mysql_query($consulta2, $conexion);
    
	$contador=1;
	while ($row=mysql_fetch_array($resultado2))
	{
	  $pdf->Cell(6);
	  $contador++;
	  
	  $cdgart=mysql_result($resultado2,$lineas,"codigo");
	 // $codfamilia=mysql_result($resultado2,$lineas,"codfamilia");
	  
	  $cantidad1= number_format(mysql_result($resultado2,$lineas,"cantidad"),1,".",",");	  
	  $pdf->Cell(4,0,$cantidad1,0,0,'L');
	  
	  $pdf->Cell(15);
	    $codigo=mysql_result($resultado2,$lineas,"codigo");	  
	  $pdf->Cell(2,0,$codigo,0,0,'C');
	  
	  
	 // $pdf->Cell(4,4,mysql_result($resultado2,$lineas,"cantidad"),0,0,'C');	
	  	  
	  $sel_articulos="SELECT * FROM WEB_1001 WHERE cdgart='$cdgart' ";
	  $rs_articulos=mysql_query($sel_articulos);
	  	  
	  $acotado = substr(mysql_result($rs_articulos,0,"dscart"), 0, 45);
	  $pdf->Cell(8);
	  $pdf->Cell(24,0,$acotado,0,0,'L');
	 
	  if (mysql_result($resultado2,$lineas,"dcto")==0) 
	  {
	  $pdf->Cell(65);	
	  $pdf->Cell(10,0,"",0,0,'C');
	   } 
	  else 
	   { 
	  $pdf->Cell(65);
	  $pdf->Cell(10,0,mysql_result($resultado2,$lineas,"dcto") . " %",0,0,'C');
	   }
	   
	  	  $pdf->Cell(31);
	  $precio2= number_format(mysql_result($resultado2,$lineas,"prenivi"),2,".",",");	  
	  $pdf->Cell(1,0,$precio2,0,0,'R');
	  
	  $importe2= number_format(mysql_result($resultado2,$lineas,"importe"),2,".",",");	  
	  
	  $pdf->Cell(25,0,$importe2,0,0,'R');
	  $pdf->Ln(7);	

	  //vamos acumulando el importe
	  $importe=$importe + mysql_result($resultado2,$lineas,"importe");
	  $impuesto=$impuesto + mysql_result($resultado2,$lineas,"impuesto");
	  $contador=$contador + 1;
	  $lineas=$lineas + 1;	
	  
	  
	  
	    
	};
			$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	
	
	
	// Parametro global Cantidad de filas en el detalle
	while ($contador<$FilasDetalleFactura)
	{
	  $pdf->Cell(1);
      $pdf->Cell(25,4,"",0,0,'C');
      $pdf->Ln(5);	
	  $contador=$contador +1;
	}
		  
	//Calculamos los valores del final de la factura
    $importe4=number_format($importe,2,".",",");	

	$ivai=$lafila["iva"];
	$impo=$impuesto;
	$impo=sprintf("%01.2f", $impo); 
	$total=$importe+$impo; 
	$total=sprintf("%01.2f", $total);
	$impo=number_format($impo,2,".",",");	

    $total=sprintf("%01.2f", $total);
	$total2= number_format($total,2,".",",");	

	$pdf->SetY(242);	
	$pdf->Cell(148);
    $pdf->Cell(32,5,$importe4,0,0,'R',0);
	$pdf->Ln(6);

	$pdf->SetY(252);
	$pdf->Cell(148);
	//$pdf->Cell(1,4,$lafila["iva"] ." %",0,0,'R',0);
	$pdf->Cell(32,5,$impo,0,0,'R',0);	
	$pdf->Ln(7);
		
	$pdf->SetY(256);
	$pdf->Cell(148);
	$pdf->Cell(32,5,$total2,0,0,'R',0);
	$pdf->Ln(8);
	
	//Calculamos de numero a palabras
	//$nw = new Numbers_Words();
		
	$pdf->SetY(148);
	$pdf->Cell(15);
	
	//Modificamos esta parte para que también muestra la parte fraccionaria y M.N.
	$decimales = explode(".",$total);	
	//$pdf->Cell(35,4,strtoupper($nw->toWords(round($total,0), "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);
	//$pdf->Cell(40,4,strtoupper($nw->toWords($decimales[0], "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);
	
		
      @mysql_free_result($resultado); 
      @mysql_free_result($query);
	  @mysql_free_result($resultado2); 
	  @mysql_free_result($query3);
	  
      $pdf->Output($name=("Factura.pdf"),'I');


?>